ord
print
String Functions
PHP Manual

# parse_str

(PHP 4, PHP 5)

parse_str — Parses the string into variables

### Description

void parse_str ( string `$str` [, array `&$arr` ] )

Parses `str` as if it were the query string passed via a URL and sets variables in the current scope.

> Note:

> To get the current QUERY_STRING, you may use the variable $_SERVER['QUERY_STRING']. Also, you may want to read the section on variables from external sources.

> Note:

> The magic_quotes_gpc setting affects the output of this function, as parse_str() uses the same mechanism that PHP uses to populate the $_GET, $_POST, etc. variables.

### Parameters

`str`

  The input string.

`arr`

  If the second parameter `arr` is present, variables are stored in this variable as array elements instead.

### Return Values

No value is returned.

### Examples

Example #1 Using parse_str()

`<?php
$str = "first=value&arr[]=foo+bar&arr[]=baz";
parse_str($str);
echo $first; // value
echo $arr[0]; // foo bar
echo $arr[1]; // baz
parse_str($str, $output);
echo $output['first']; // value
echo $output['arr'][0]; // foo bar
echo $output['arr'][1]; // baz
?>`

### See Also

- parse_url() - Parse a URL and return its components
- pathinfo() - Returns information about a file path
- http_build_query() - Generate URL-encoded query string
- get_magic_quotes_gpc() - Gets the current configuration setting of magic_quotes_gpc
- urldecode() - Decodes URL-encoded string

ord
print
String Functions
PHP Manual